class Alumno < ActiveRecord::Base

  hobo_model # Don't put anything above this

  fields do
    nombre   :string, :required, :name => true
    telefono :string
    email    :email_address
    genero   enum_string(:masculino, :femenino)
    timestamps
  end
  # --- Relaciones --- #
  #belongs_to :curso
  has_many :curso_alumnos, :dependent => :destroy
  has_many :cursos, :through => :curso_alumnos, :accessible => true
  
  # --- Búsquedas --- #
  set_search_columns :nombre

  # ---- Validaciones --- #
  validates_presence_of :telefono, :email

  # --- Permissions --- #
  def create_permitted?
    acting_user.administrator? || acting_user.signed_up?
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    acting_user.signed_up?
  end

end
